Package: apt-cacher-ng
Version: 0.7.2-1
Severity: wishlist
Tags: patch
Please include an option in /etc/default/apt-cacher-ng (or another file) to
configure the user and group the service runs as. Currently the $NAME variable
is used for that in the initscript, but changing this one also changes the
status messages.
The proposed patch below adds a $USER and $GROUP option, which can be
overridden
in /etc/default/apt-cacher-ng.
--- /etc/init.d/apt-cacher-ng~ 2012-04-11 20:38:02.496353852 +0200
+++ /etc/init.d/apt-cacher-ng 2012-04-11 20:42:32.947116077 +0200
@@ -19,6 +19,8 @@
DAEMON=/usr/sbin/apt-cacher-ng
NAME=apt-cacher-ng
DESC=apt-cacher-ng
+USER=apt-cacher-ng
+GROUP=apt-cacher-ng
test -x $DAEMON || exit 0
@@ -42,8 +44,8 @@
return 255
fi
rm -rf "$RUNDIR" || return 1
- install -d --mode=0755 -o $NAME -g $NAME "$RUNDIR" || return 1
- start-stop-daemon --start --chuid $NAME --group $NAME --quiet --pidfile
$PIDFILE --exec $DAEMON -- $DAEMON_OPTS
+ install -d --mode=0755 -o $USER -g $GROUP "$RUNDIR" || return 1
+ start-stop-daemon --start --chuid $USER --group $GROUP --quiet --pidfile
$PIDFILE --exec $DAEMON -- $DAEMON_OPTS
}
do_stop() {
-- System Information:
Debian Release: wheezy/sid
APT prefers testing
APT policy: (900, 'testing'), (900, 'stable'), (525, 'unstable'), (515,
'experimental'), (500, 'testing-proposed-updates'), (500, 'stable-updates'),
(110, 'oneiric-updates'), (110, 'oneiric')
Architecture: amd64 (x86_64)
Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Versions of packages apt-cacher-ng depends on:
ii adduser 3.113+nmu1
ii debconf [debconf-2.0] 1.5.42
ii dpkg 1.16.2
ii libbz2-1.0 1.0.6-1
ii libc6 2.13-27
ii libgcc1 1:4.7.0-1
ii liblzma5 5.1.1alpha+20110809-3
ii libstdc++6 4.7.0-1
ii libwrap0 7.6.q-23
ii zlib1g 1:1.2.6.dfsg-2
Versions of packages apt-cacher-ng recommends:
ii ed 1.6-1
ii perl 5.14.2-9
Versions of packages apt-cacher-ng suggests:
ii doc-base <none>
ii libfuse2 2.8.7-1
-- Configuration Files:
/etc/apt-cacher-ng/backends_debian changed:
http://ftp.nl.debian.org/debian/
/etc/apt-cacher-ng/backends_ubuntu changed:
http://nl.archive.ubuntu.com/ubuntu/
/etc/apt-cacher-ng/security.conf [Errno 13] Permission denied:
u'/etc/apt-cacher-ng/security.conf'
-- debconf information:
apt-cacher-ng/gentargetmode: No automated setup
--
To UNSUBSCRIBE, email to [email protected]
with a subject of "unsubscribe". Trouble? Contact [email protected]
Archive: http://lists.debian.org/debian-bugs-dist